summaryrefslogtreecommitdiffstats
path: root/desktop/numix-folders
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2016-12-24 17:48:01 +0000
committer David Spencer <idlemoor@slackbuilds.org>2016-12-24 20:38:50 +0000
commit0d3e4c9638cf92a7377514b373b426721ce50245 (patch)
tree87697dd4e819cc1e0531837b15ffcdaa50dddd06 /desktop/numix-folders
parentd98024a178bc9fcb941df3f7b48b3f8e80c07a77 (diff)
downloadslackbuilds-0d3e4c9638cf92a7377514b373b426721ce50245.tar.gz
slackbuilds-0d3e4c9638cf92a7377514b373b426721ce50245.tar.xz
desktop/numix-folders: Added (alt. folders for Numix Icon Theme).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'desktop/numix-folders')
-rw-r--r--desktop/numix-folders/README5
-rw-r--r--desktop/numix-folders/doinst.sh13
-rw-r--r--desktop/numix-folders/numix-folders.SlackBuild76
-rw-r--r--desktop/numix-folders/numix-folders.hook9
-rw-r--r--desktop/numix-folders/numix-folders.info10
-rw-r--r--desktop/numix-folders/slack-desc19
6 files changed, 132 insertions, 0 deletions
diff --git a/desktop/numix-folders/README b/desktop/numix-folders/README
new file mode 100644
index 0000000000..f429189eff
--- /dev/null
+++ b/desktop/numix-folders/README
@@ -0,0 +1,5 @@
+numix-folders (Alternate folders for use with Numix Icon Theme)
+
+Numix Folders is alternate folders for use with Numix Icon Theme.
+
+This suggests: numix-icon-theme-circle and numix-icon-theme-square.
diff --git a/desktop/numix-folders/doinst.sh b/desktop/numix-folders/doinst.sh
new file mode 100644
index 0000000000..9424ce43ff
--- /dev/null
+++ b/desktop/numix-folders/doinst.sh
@@ -0,0 +1,13 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -x /usr/bin/update-mime-database ]; then
+ /usr/bin/update-mime-database usr/share/mime >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/desktop/numix-folders/numix-folders.SlackBuild b/desktop/numix-folders/numix-folders.SlackBuild
new file mode 100644
index 0000000000..7916cf310f
--- /dev/null
+++ b/desktop/numix-folders/numix-folders.SlackBuild
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# Slackware build script for numix-folders.
+#
+# Copyright 2016 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM="numix-folders"
+VERSION=${VERSION:-1.1.1.201611191516.196}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH=noarch
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+CWD=$(pwd)
+
+set -e
+
+SRCVER="1.1.1+201611191516~196~ubuntu16.10.1"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$SRCVER
+tar xvf $CWD/${PRGNAM}_${SRCVER}.tar.xz
+cd $PRGNAM-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+echo "TryExec=gksudo" >> $PRGNAM.desktop
+install -Dm 644 $CWD/$PRGNAM.hook $PKG/usr/share/libalpm/hooks/$PRGNAM.hook
+
+install -dm 755 $PKG/usr/share/$PRGNAM
+install -dm 755 $PKG/usr/bin
+
+install -Dm 644 $PRGNAM.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+rm -f $PRGNAM.desktop
+
+cp -dr --no-preserve='ownership' * $PKG/usr/share/$PRGNAM/
+rm -f $PKG/usr/share/$PRGNAM/{LICENSE,README.md}
+ln -s /usr/share/$PRGNAM/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/numix-folders/numix-folders.hook b/desktop/numix-folders/numix-folders.hook
new file mode 100644
index 0000000000..e2e43c2879
--- /dev/null
+++ b/desktop/numix-folders/numix-folders.hook
@@ -0,0 +1,9 @@
+[Trigger]
+Operation=Install
+Operation=Upgrade
+Type=Package
+Target=numix-icon-theme-git
+
+[Action]
+Exec=/usr/bin/numix-folders -p
+When=PostTransaction
diff --git a/desktop/numix-folders/numix-folders.info b/desktop/numix-folders/numix-folders.info
new file mode 100644
index 0000000000..539e929e10
--- /dev/null
+++ b/desktop/numix-folders/numix-folders.info
@@ -0,0 +1,10 @@
+PRGNAM="numix-folders"
+VERSION="1.1.1.201611191516.196"
+HOMEPAGE="https://github.com/numixproject/numix-folders"
+DOWNLOAD="https://launchpad.net/~numix/+archive/ubuntu/ppa/+files/numix-folders_1.1.1+201611191516~196~ubuntu16.10.1.tar.xz"
+MD5SUM="d7ad747f8eb7b9713b02a260bd20c5ce"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="numix-icon-theme gksu pygobject3-python3"
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"
diff --git a/desktop/numix-folders/slack-desc b/desktop/numix-folders/slack-desc
new file mode 100644
index 0000000000..3a22dd8af7
--- /dev/null
+++ b/desktop/numix-folders/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+numix-folders: numix-folders (Alternate folders for use with Numix Icon Theme)
+numix-folders:
+numix-folders: Numix Folders is alternate folders for use with Numix Icon Theme.
+numix-folders:
+numix-folders: Home page: https://github.com/numixproject/numix-folders
+numix-folders:
+numix-folders:
+numix-folders:
+numix-folders:
+numix-folders:
+numix-folders: